#include <bits/stdc++.h>

#define mp make_pair

using namespace std;

int main(){
    long long h, m, ans = 0;
    cin >> h >> m;
    if (h < m)
        swap(h, m);
    
    while (h > m) {
        ans += (h * m) + m * (m + 1) / 2 + m - 1;
        h--;
    }
    //cout << ans << " ";
    while (h > 1) {
        ans += h * h;
        ans += h * (h + 1) / 2 + h - 1;
        ans += (h - 1) * h;
        ans += (h - 1) * h / 2 + h - 2;
        h--;
    }
    cout << ans + 1;
}
